/**
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.methodName;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>POS Value</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.example.methodname.methodName.POSValue#isHasNot <em>Has Not</em>}</li>
 *   <li>{@link org.xtext.example.methodname.methodName.POSValue#getPos <em>Pos</em>}</li>
 *   <li>{@link org.xtext.example.methodname.methodName.POSValue#getCard <em>Card</em>}</li>
 *   <li>{@link org.xtext.example.methodname.methodName.POSValue#getSentiment <em>Sentiment</em>}</li>
 * </ul>
 *
 * @see org.xtext.example.methodname.methodName.MethodNamePackage#getPOSValue()
 * @model
 * @generated
 */
public interface POSValue extends Expr
{
  /**
   * Returns the value of the '<em><b>Has Not</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Has Not</em>' attribute.
   * @see #setHasNot(boolean)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getPOSValue_HasNot()
   * @model
   * @generated
   */
  boolean isHasNot();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.POSValue#isHasNot <em>Has Not</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Has Not</em>' attribute.
   * @see #isHasNot()
   * @generated
   */
  void setHasNot(boolean value);

  /**
   * Returns the value of the '<em><b>Pos</b></em>' attribute.
   * The literals are from the enumeration {@link org.xtext.example.methodname.methodName.POS}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Pos</em>' attribute.
   * @see org.xtext.example.methodname.methodName.POS
   * @see #setPos(POS)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getPOSValue_Pos()
   * @model
   * @generated
   */
  POS getPos();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.POSValue#getPos <em>Pos</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Pos</em>' attribute.
   * @see org.xtext.example.methodname.methodName.POS
   * @see #getPos()
   * @generated
   */
  void setPos(POS value);

  /**
   * Returns the value of the '<em><b>Card</b></em>' attribute.
   * The literals are from the enumeration {@link org.xtext.example.methodname.methodName.CardinalityModifier}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Card</em>' attribute.
   * @see org.xtext.example.methodname.methodName.CardinalityModifier
   * @see #setCard(CardinalityModifier)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getPOSValue_Card()
   * @model
   * @generated
   */
  CardinalityModifier getCard();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.POSValue#getCard <em>Card</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Card</em>' attribute.
   * @see org.xtext.example.methodname.methodName.CardinalityModifier
   * @see #getCard()
   * @generated
   */
  void setCard(CardinalityModifier value);

  /**
   * Returns the value of the '<em><b>Sentiment</b></em>' attribute.
   * The literals are from the enumeration {@link org.xtext.example.methodname.methodName.Sentiment}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Sentiment</em>' attribute.
   * @see org.xtext.example.methodname.methodName.Sentiment
   * @see #setSentiment(Sentiment)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getPOSValue_Sentiment()
   * @model
   * @generated
   */
  Sentiment getSentiment();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.POSValue#getSentiment <em>Sentiment</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Sentiment</em>' attribute.
   * @see org.xtext.example.methodname.methodName.Sentiment
   * @see #getSentiment()
   * @generated
   */
  void setSentiment(Sentiment value);

} // POSValue
